Index: /branches/version-2_13_0/data/class/SC_Cache.php
===================================================================
--- /branches/version-2_13_0/data/class/SC_Cache.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/SC_Cache.php	(revision 23143)
@@ -21,4 +21,6 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  */
+
+require DATA_REALDIR . 'module/Cache/Lite.php';
 
 /**
Index: /branches/version-2_13_0/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_Calendar.php	(revision 23143)
@@ -22,4 +22,5 @@
  */
 
+define('CALENDAR_ROOT', DATA_REALDIR.'module/Calendar'.DIRECTORY_SEPARATOR);
 require_once CLASS_EX_REALDIR . 'page_extends/frontparts/bloc/LC_Page_FrontParts_Bloc_Ex.php';
 
Index: /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_Download.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 23140)
+++ /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_Download.php	(revision 23143)
@@ -130,5 +130,4 @@
 
         $objReq = $this->request($mode, $arrPostData);
-        $response = $objReq->send();
 
         // リクエストチェック
@@ -144,5 +143,5 @@
         // レスポンスチェック
         $objLog->log('* http response check start');
-        if ($response->getStatus() !== 200) {
+        if ($objReq->getResponseCode() !== 200) {
             $objJson->setError(OSTORE_E_C_HTTP_RESP);
             $objJson->display();
@@ -152,5 +151,5 @@
         }
 
-        $body = $response->getBody();
+        $body = $objReq->getResponseBody();
         $objRet = $objJson->decode($body);
 
@@ -231,5 +230,5 @@
             // 配信サーバーへ通知
             $objLog->log('* notify to lockon server start');
-            $objReq = $this->notifyDownload($mode, $response->getCookies());
+            $objReq = $this->notifyDownload($mode, $objReq->getResponseCookies());
 
             $objLog->log('* dl commit result:' . serialize($objReq));
Index: /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_Base.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_Base.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_Base.php	(revision 23143)
@@ -71,10 +71,10 @@
     public function request($mode, $arrParams = array(), $arrCookies = array())
     {
-        $objReq = new HTTP_Request2();
+        $objReq = new HTTP_Request();
         $objReq->setUrl(OSTORE_URL . 'upgrade/index.php');
         $objReq->setMethod('POST');
-        $objReq->addPostParameter('mode', $mode);
+        $objReq->addPostData('mode', $mode);
         foreach ($arrParams as $key => $val) {
-            $objReq->addPostParameter($key, $val);
+            $objReq->addPostData($key, $val);
         }
 
@@ -83,5 +83,5 @@
         }
 
-        $e = $objReq->send();
+        $e = $objReq->sendRequest();
         if (PEAR::isError($e)) {
             return $e;
Index: /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 23140)
+++ /branches/version-2_13_0/data/class/pages/upgrade/LC_Page_Upgrade_ProductsList.php	(revision 23143)
@@ -87,5 +87,4 @@
         );
         $objReq = $this->request('products_list', $arrPostData);
-        $response = $objReq->send();
 
         // リクエストチェック
@@ -101,6 +100,5 @@
         // レスポンスチェック
         $objLog->log('* http response check start');
-
-        if ( $response->getStatus() !== 200) {
+        if ($objReq->getResponseCode() !== 200) {
             $objJson->setError(OSTORE_E_C_HTTP_RESP);
             $objJson->display();
@@ -110,5 +108,5 @@
         }
 
-        $body = $response->getBody();
+        $body = $objReq->getResponseBody();
         $objRet = $objJson->decode($body);
 
Index: /branches/version-2_13_0/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 23126)
+++ /branches/version-2_13_0/data/class/pages/admin/basis/LC_Page_Admin_Basis_ZipInstall.php	(revision 23143)
@@ -354,10 +354,10 @@
         // Proxy経由を可能とする。
         // TODO Proxyの設定は「data/module/HTTP/Request.php」内の「function HTTP_Request」へ記述する。いずれは、外部設定としたい。
-        $req = new HTTP_Request2();
+        $req = new HTTP_Request();
 
         $req->setURL(ZIP_DOWNLOAD_URL);
 
         // 郵便番号CSVをdownloadする。
-        $res = $req->send();
+        $res = $req->sendRequest();
         if (!$res || strlen($res) > 1) {
             trigger_error(ZIP_DOWNLOAD_URL . ' の取得に失敗しました。', E_USER_ERROR);
@@ -369,5 +369,5 @@
             trigger_error($this->zip_csv_temp_realfile . ' を開けません。', E_USER_ERROR);
         }
-        $res = fwrite($fp, $res->getBody());
+        $res = fwrite($fp, $req->getResponseBody());
         if (!$res) {
             trigger_error($this->zip_csv_temp_realfile . ' への書き込みに失敗しました。', E_USER_ERROR);
Index: /branches/version-2_13_0/data/module/PEAR.php
===================================================================
--- /branches/version-2_13_0/data/module/PEAR.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/PEAR.php	(revision 23143)
@@ -15,5 +15,5 @@
  * @copyright  1997-2010 The Authors
  * @license    http://opensource.org/licenses/bsd-license.php New BSD License
- * @version    CVS: $Id$
+ * @version    CVS: commit 01071ee7b71e4d38c4e96fdf0ae5e411841eaec7
  * @link       http://pear.php.net/package/PEAR
  * @since      File available since Release 0.1
@@ -79,5 +79,5 @@
  * @copyright  1997-2006 The PHP Group
  * @license    http://opensource.org/licenses/bsd-license.php New BSD License
- * @version    Release: 1.9.4
+ * @version    Release: @package_version@
  * @link       http://pear.php.net/package/PEAR
  * @see        PEAR_Error
@@ -250,4 +250,7 @@
     function isError($data, $code = null)
     {
+        if (!is_object($data)) {
+             return false;
+        }
         if (!is_a($data, 'PEAR_Error')) {
             return false;
@@ -485,4 +488,10 @@
             $message->error_message_prefix = '';
             $message     = $message->getMessage();
+
+            // Make sure right data gets passed.
+            $r = new ReflectionClass($error_class);
+            $c = $r->getConstructor();
+            $p = array_shift($c->getParameters());
+            $skipmsg = ($p->getName() != 'message');
         }
 
@@ -789,5 +798,5 @@
  * @copyright  1997-2006 The PHP Group
  * @license    http://opensource.org/licenses/bsd-license.php New BSD License
- * @version    Release: 1.9.4
+ * @version    Release: @package_version@
  * @link       http://pear.php.net/manual/en/core.pear.pear-error.php
  * @see        PEAR::raiseError(), PEAR::throwError()
Index: /branches/version-2_13_0/data/module/HTTP/Request.php
===================================================================
--- /branches/version-2_13_0/data/module/HTTP/Request.php	(revision 23126)
+++ /branches/version-2_13_0/data/module/HTTP/Request.php	(revision 23143)
@@ -1,2 +1,3 @@
+<<<<<<< .working
 <?php
 /**
